<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.sl.usermodel.PaintStyle (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.sl.usermodel.PaintStyle (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/PaintStyle.html" target="_top">Frames</a>
        </li>
        <li><a href="PaintStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.sl.usermodel.PaintStyle" class="title">Uses of Interface<br>org.apache.poi.sl.usermodel.PaintStyle
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.draw">org.apache.poi.sl.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                   title="interface in org.apache.poi.sl.usermodel">PaintStyle</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html#setFontColor-org.apache.poi.sl.usermodel.PaintStyle-">setFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.draw">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                   title="interface in org.apache.poi.sl.usermodel">PaintStyle</a> in <a
                            href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.awt.Paint</code></td>
                            <td class="colLast"><span class="typeNameLabel">DrawPaint.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawPaint.html#getPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle-">getPaint</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                   title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;paint)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.awt.Paint</code></td>
                            <td class="colLast"><span class="typeNameLabel">DrawPaint.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/DrawPaint.html#getPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle-org.apache.poi.sl.usermodel.PaintStyle.PaintModifier-">getPaint</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                   title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;paint,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.PaintModifier.html"
                                   title="enum in org.apache.poi.sl.usermodel">PaintStyle.PaintModifier</a>&nbsp;modifier)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                   title="interface in org.apache.poi.sl.usermodel">PaintStyle</a> in <a
                            href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subinterfaces, and an explanation">
                        <caption><span>Subinterfaces of <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                title="interface in org.apache.poi.sl.usermodel">PaintStyle</a> in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Interface and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle.GradientPaint</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static interface&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.TexturePaint.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle.TexturePaint</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TextParagraph.BulletStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#getBulletFontColor--">getBulletFontColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontColor--">getFontColor</a></span>()</code>
                                <div class="block">Returns the font color.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">StrokeStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html#getPaint--">getPaint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FillStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/FillStyle.html#getPaint--">getPaint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextParagraph.BulletStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html#setBulletFontColor-org.apache.poi.sl.usermodel.PaintStyle-">setBulletFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontColor-org.apache.poi.sl.usermodel.PaintStyle-">setFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</code>
                                <div class="block">Sets the font color</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                   title="interface in org.apache.poi.sl.usermodel">PaintStyle</a> in <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html#getBulletFontColor--">getBulletFontColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getFillPaint--">getFillPaint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFTableCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html#getFillPaint--">getFillPaint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextRun.html#getFontColor--">getFontColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html#getLinePaint--">getLinePaint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties-org.apache.poi.openxml4j.opc.PackagePart-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties&nbsp;blipFill,
                                <a href="../../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                   title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;parentPart)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties&nbsp;gradFill,
                                org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                <a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                   title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties&nbsp;solidFill,
                                org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                <a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                   title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-boolean-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference&nbsp;fillRef,
                                <a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                   title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme,
                                boolean&nbsp;isLineStyle,
                                boolean&nbsp;hasPlaceholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate.XSLFFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-">selectPaint</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPropertiesDelegate.XSLFFillProperties.html"
                                    title="interface in org.apache.poi.xslf.usermodel">XSLFPropertiesDelegate.XSLFFillProperties</a>&nbsp;fp,
                                org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                <a href="../../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                   title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;parentPart,
                                <a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                   title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme,
                                boolean&nbsp;hasPlaceholder)</code>
                                <div class="block">Convert shape fill into java.awt.Paint.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html#setBulletFontColor-org.apache.poi.sl.usermodel.PaintStyle-">setBulletFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</code>
                                <div class="block">Set the color to be used on bullet characters within a given
                                    paragraph.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextRun.html#setFontColor-org.apache.poi.sl.usermodel.PaintStyle-">setFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                    title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/PaintStyle.html" target="_top">Frames</a>
        </li>
        <li><a href="PaintStyle.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
